flashplugin-nonfree (1:3.7) unstable; urgency=medium

  * update-flashplugin-nonfree: Delete old cached get-upstream-version.pl.
    Closes: #833413.
  * update-flashplugin-nonfree: Clear GREP_OPTIONS.  Closes: #812866.
  * debian/control: Depends: gnupg | gnupg2.  Closes: #816852.
  * debian/control: Suggests: iceweasel, firefox-esr.  Closes: #820645.
  * debian/update-flashplugin-nonfree.8: Add --status.  Closes: #741217.
  * debian/control: Suggests: hal-flash.  Closes: #799614.
  * update-flashplugin-nonfree: Removed support for the old fp10* files.
  * debian/control: Standards-Version: 3.9.8.

 -- Bart Martens <bartm@debian.org>  Thu, 04 Aug 2016 07:49:06 +0200

flashplugin-nonfree (1:3.6.1) unstable; urgency=medium

  * debian/control: Pre-Depends: ca-certificates.  Closes: #773633.

 -- Bart Martens <bartm@debian.org>  Sun, 21 Dec 2014 10:02:23 +0100

flashplugin-nonfree (1:3.6) unstable; urgency=medium

  * debian/control: Depends: ca-certificates.  Closes: #760638.
  * update-flashplugin-nonfree: Add use of wget option -nv. Closes: #732577.
  * Updated the tools to the newest versions: debian/rules publish-*, fp*.txt,
    get-upstream-version.pl.
  * debian/control: Removed the list of supported browsers and point to the
    wiki page instead.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Mon, 15 Sep 2014 17:30:37 +0200

flashplugin-nonfree (1:3.5) unstable; urgency=high

  * Fixes the security bug reported by Jakub Wilk on 22 Jun 2014 09:16:18 +0200
    on #752277 :
    + pubkey.asc: Replaced with the public key of a new keypair.
    + update-flashplugin-nonfree: Download files signed with new key.

 -- Bart Martens <bartm@debian.org>  Sun, 22 Jun 2014 18:21:14 +0200

flashplugin-nonfree (1:3.4) unstable; urgency=low

  * Removed option nosse2.
  * Remove old extra files with checksums verifications before installing new
    extra files.  Closes: #729404.
  * Write errors and warnings to stderr instead of stdout.
  * Updated Suggests from ttf-dejavu to fonts-dejavu.  Closes: #725680.
  * get-upstream-version.pl: Save webpage in /var/cache/flashplugin-nonfree/
    for debugging if reading version fails.  Closes: #730047.

 -- Bart Martens <bartm@debian.org>  Sun, 08 Dec 2013 07:12:41 +0100

flashplugin-nonfree (1:3.3) unstable; urgency=low

  * get-upstream-version.pl: Support different returned webpages.
  * debian/rules: Upload checksum files per version.
  * update-flashplugin-nonfree: Use checksum file per version.
  * get-upstream-version.pl: Added option "nosse2". 
  * update-flashplugin-nonfree: Suggest "--nosse2" on hardware without sse2.
  * update-flashplugin-nonfree: Added option "--nosse2". 
    Closes: #701957, #697339, #696408.

 -- Bart Martens <bartm@debian.org>  Sun, 06 Oct 2013 07:02:54 +0000

flashplugin-nonfree (1:3.2) unstable; urgency=low

  * update-flashplugin-nonfree: Added use of "gpg --verify" to notice files
    without signature.  Thanks to Ansgar Burchardt for reporting the security
    issue (via private e-mail on 13 Dec 2012).
  * get-upstream-version.pl: Added validation of link to flash.
    Thanks to Henrik Ahlgren for reporting the security issue (on
    debian-security on 12 Dec 2012).
  * debian/postinst: Added removal of cached get-upstream-version.pl so that a
    fresh copy is downloaded.

 -- Bart Martens <bartm@debian.org>  Thu, 13 Dec 2012 17:45:13 +0000

flashplugin-nonfree (1:3.1) unstable; urgency=low

  * get-upstream-version.pl: Added error handling with "failed to read $url".
  * get-upstream-version.pl: Less hard-coded with $link_to_flash.
  * update-flashplugin-nonfree: Write errors to stderr (>&2).
  * update-flashplugin-nonfree: Better error handling for get_upstream_version.
  * update-flashplugin-nonfree: Use "perl get-upstream-version.pl ...".
    Closes: #687416.

 -- Bart Martens <bartm@debian.org>  Fri, 14 Sep 2012 17:36:16 +0000

flashplugin-nonfree (1:3) unstable; urgency=low

  * Only install if installed and upstream Adobe Flash Version differ.
    + get-upstream-version.pl: Added in source package.
    + debian/rules: Added rule publish-version-script.
    + update-flashplugin-nonfree: Added use of get-upstream-version.pl.
  * Install and remove flash-player-properties and related files.
    Closes: #630223.
    + debian/dirs: Added directories.
    + update-flashplugin-nonfree: Install and remove the extra files.
  * Additionally show version available upstream when using --status.

 -- Bart Martens <bartm@debian.org>  Sat, 08 Sep 2012 12:22:00 +0000

flashplugin-nonfree (1:2.8.6) unstable; urgency=low

  * debian/control: Suggests: hal.  Closes: #682370.

 -- Bart Martens <bartm@debian.org>  Sun, 22 Jul 2012 08:56:48 +0000

flashplugin-nonfree (1:2.8.5) unstable; urgency=low

  * debian/control: Update the dependencies: libnspr4-0d -> libnspr4,
    libnss3-1d -> libnss3.  Closes: #678637.

 -- Bart Martens <bartm@debian.org>  Sat, 23 Jun 2012 13:23:10 +0000

flashplugin-nonfree (1:2.8.4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format, debhelper 9, no cdbs.
  * update-flashplugin-nonfree: Trap signal INT.  Closes: #617275.
  * update-flashplugin-nonfree: Added wget option "-O $UNPACKDIR/$downloadfile"
    to change message "Saving to: ..." Closes: #630139.
  * debian/control: Removed Suggests: x-ttcidfont-conf.  Closes: #660046.  Also
    replaced msttcorefonts by ttf-mscorefonts-installer, and added [i386] to
    Suggests: flashplugin-nonfree-extrasound.
  * debian/control: Depends: binutils, for /usr/bin/strings.
  * update-flashplugin-nonfree: Added option --status.  Closes: #654670.

 -- Bart Martens <bartm@debian.org>  Wed, 23 May 2012 19:32:48 +0000

flashplugin-nonfree (1:2.8.3) unstable; urgency=low

  * Depends: libgtk2.0-0 (>= 2.14).  Closes: #598390.
  * Added README pointing to the wiki page.  Closes: #608079.

 -- Bart Martens <bartm@debian.org>  Fri, 24 Dec 2010 19:01:13 +0000

flashplugin-nonfree (1:2.8.2) unstable; urgency=low

  * Removed "64 bit player temporarily not supported".  Closes: #586273.
  * Reduced debian/reportbug/script.  Closes: #591821.

 -- Bart Martens <bartm@debian.org>  Fri, 17 Sep 2010 20:40:58 +0200

flashplugin-nonfree (1:2.8.1) unstable; urgency=low

  * Added message "64 bit player temporarily not supported".  Closes: #585408.
  * Point to http://wiki.debian.org/FlashPlayer in error messages.

 -- Bart Martens <bartm@debian.org>  Thu, 17 Jun 2010 18:13:27 +0200

flashplugin-nonfree (1:2.8) unstable; urgency=low

  * Replaced my gpg key.
  * Replaced md5sum by sha512sum.  Closes: #545241.
  * Display the Flash Player version in verbose mode.  Closes: #543654.

 -- Bart Martens <bartm@debian.org>  Wed, 09 Sep 2009 19:15:33 +0200

flashplugin-nonfree (1:2.7) unstable; urgency=low

  * debian/control: Added "Conflicts: libflash-mozplugin".  Closes: #537120.
  * debian/control: Removed "Suggests: xfs (>= 1:1.0.1-5)".  Closes: #532853.

 -- Bart Martens <bartm@debian.org>  Wed, 05 Aug 2009 13:04:25 +0200

flashplugin-nonfree (1:2.6) unstable; urgency=low

  * Set HOME=/root when using wget.  Closes: #523984.
  * Switch to "status is auto" when "link currently absent".  Closes: #520678.
  * debian/control: Standards-Version.

 -- Bart Martens <bartm@debian.org>  Thu, 16 Apr 2009 20:00:11 +0200

flashplugin-nonfree (1:2.5) unstable; urgency=low

  * debian/control: Depends: libcurl3-gnutls. Closes: #509235.
  * debian/reportbug/script: Updated to show some more information (ls, file,
    ldd, dpkg-query).
  * debian/control: Fixed debhelper-but-no-misc-depends.
  * debian/control: Fixed package-depends-on-hardcoded-libc.

 -- Bart Martens <bartm@debian.org>  Sat, 07 Feb 2009 12:10:42 +0100

flashplugin-nonfree (1:2.4) unstable; urgency=low

  * Removed flashplugin-nonfree-pulse from Suggests.
  * Removed dependencies' dependencies from Depends.

 -- Bart Martens <bartm@debian.org>  Sun, 04 Jan 2009 07:57:36 +0100

flashplugin-nonfree (1:2.3) unstable; urgency=low

  * Removed libxcb-xlib0 from Depends.  Closes: #509431.
  * Added flashplugin-nonfree-extrasound and flashplugin-nonfree-pulse
    to Suggests.  Closes: #510448.
  * update-flashplugin-nonfree, debian/update-flashplugin-nonfree.8: Documented
    options --verbose and --quiet.  Closes: #510194.
  * debian/reportbug/script: Added.

 -- Bart Martens <bartm@debian.org>  Sat, 03 Jan 2009 20:08:41 +0100

flashplugin-nonfree (1:2.2) unstable; urgency=low

  * update-flashplugin-nonfree: Replace "uname -m"
    by "dpkg --print-architecture".  Closes: #508918, #508888.
  * update-flashplugin-nonfree: Use "LANG=C" before parsing output
    of update-alternatives --display.  Closes: #508905.

 -- Bart Martens <bartm@debian.org>  Tue, 16 Dec 2008 19:20:25 +0100

flashplugin-nonfree (1:2.1) unstable; urgency=low

  * Moving to unstable.
  * update-flashplugin-nonfree: Added a message about update-alternatives.
  * Closes: #501029, #500710, #502859, #508212, #499621, #508241, #508253.
  * Closes: #506134, #497385.

 -- Bart Martens <bartm@debian.org>  Sun, 14 Dec 2008 21:15:48 +0100

flashplugin-nonfree (1:2) experimental; urgency=low

  * Download 64 bit Adobe Flash Player for amd64.

 -- Bart Martens <bartm@debian.org>  Thu, 11 Dec 2008 18:06:38 +0100

flashplugin-nonfree (1:1.8.1) unstable; urgency=low

  * Moving to unstable.  Closes: #501110, #503689, #507707, #508036.
  * update-flashplugin-nonfree: Tuned wget options.  Closes: #499388, #504993.

 -- Bart Martens <bartm@debian.org>  Sun, 07 Dec 2008 13:44:05 +0100

flashplugin-nonfree (1:1.8) experimental; urgency=low

  * debian/rules: Updated for Adobe Flash Player 10.
  * update-flashplugin-nonfree: Updated for Adobe Flash Player 10.
  * update-flashplugin-nonfree: Added some verbose output.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2008 10:02:18 +0100

flashplugin-nonfree (1:1.7.2) unstable; urgency=low

  * Edited update-flashplugin-nonfree to add the use of update-alternatives,
    removed debian/links.amd64 and debian/links.i386, edited debian/rules to
    remove the creation and deletion of debian/links, edited debian/dirs to
    remove obsolete browser plugin directories.  Closes: #494266.

 -- Bart Martens <bartm@debian.org>  Mon, 01 Sep 2008 18:53:07 +0200

flashplugin-nonfree (1:1.6.3) unstable; urgency=low

  * update-flashplugin-nonfree: Added options --fast, --verbose and --quiet.
  * debian/postinst: Call update-flashplugin-nonfree with option --fast.

 -- Bart Martens <bartm@debian.org>  Sat, 09 Aug 2008 09:16:43 +0200

flashplugin-nonfree (1:1.6.2) unstable; urgency=low

  * Extract files with owner set to current user.  Closes: #475793.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Jul 2008 08:29:59 +0200

flashplugin-nonfree (1:1.6.1) unstable; urgency=low

  * Tuned wget options.  Closes: #486228.  Timeout is now 15 seconds.

 -- Bart Martens <bartm@debian.org>  Fri, 04 Jul 2008 22:31:34 +0200

flashplugin-nonfree (1:1.6) unstable; urgency=low

  * debian/postrm: Added to clear the cache on purge.  Closes: #465680.
  * Reduced the "lastminute" part to only MD5 checksums.  Merged multiple
    scripts into update-flashplugin-nonfree.
  * Uninstalling no longer needs internet access.  Closes: #486431.
  * Tuned wget options.  Closes: #486228.
  * Removed testcoding.  Closes: #486432.

 -- Bart Martens <bartm@debian.org>  Sun, 29 Jun 2008 09:37:06 +0200

flashplugin-nonfree (1:1.5) unstable; urgency=low

  * flashplugin-nonfree-lastminute: Replaced with version of 09-Apr-2008.
  * flashplugin-nonfree-lastminute: Updated.  Now setting ownership of
    libflashplayer.so to root:root.  Closes: #475793.
  * update-flashplugin-nonfree: Removed confusing message.  Closes: #483659.

 -- Bart Martens <bartm@debian.org>  Fri, 30 May 2008 18:46:26 +0200

flashplugin-nonfree (1:1.4) unstable; urgency=low

  * flashplugin-nonfree-lastminute, debian/control: No longer use empty-expect
    and linux32.  Closes: #464750, #464414.
  * debian/control: Removed ttf-bitstream-vera.  Closes: #461267.

 -- Bart Martens <bartm@debian.org>  Tue, 19 Feb 2008 07:04:51 +0100

flashplugin-nonfree (1:1.3) unstable; urgency=low

  * Merging changes from experimental into unstable.
  * flashplugin-nonfree-lastminute: Replaced with version of 12-Jan-2008.

 -- Bart Martens <bartm@debian.org>  Tue, 05 Feb 2008 08:03:20 +0100

flashplugin-nonfree (1:1.2) experimental; urgency=low

  * debian/control, debian/install, flashplugin-nonfree-lastminute, uname,
    update-flashplugin-nonfree: Use linux32 instead of uname wrapper.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Sep 2007 19:07:47 +0200

flashplugin-nonfree (1:1.1) experimental; urgency=low

  * uname: Added.  Wrapper to replace x86_64 by i386, fixes amd64 support.

 -- Bart Martens <bartm@knars.be>  Fri, 31 Aug 2007 14:49:55 +0200

flashplugin-nonfree (1:1) experimental; urgency=low

  * debian/config, debian/po, debian/templates: Removed.
  * debian/control: Added "Depends: empty-expect, gnupg".
  * debian/control: Minor changes in package description.  Closes: #434636.
  * debian/copyright: Updated.
  * debian/links.i386: No longer installing links for .xpt files.
  * debian/lintianoverrides: Removed.
  * debian/postinst, debian/prerm: Updated.
  * flashplugin-nonfree-get-lastminute, flashplugin-nonfree-lastminute,
    pubkey.asc, update-flashplugin-nonfree: Added.

 -- Bart Martens <bartm@knars.be>  Wed, 15 Aug 2007 08:06:15 +0200

flashplugin-nonfree (9.0.115.0.1) unstable; urgency=low

  * New plugin release "LNX 9,0,115,0".  Closes: #454366.

 -- Bart Martens <bartm@debian.org>  Wed, 05 Dec 2007 07:20:03 +0100

flashplugin-nonfree (9.0.48.0.3) unstable; urgency=low

  * debian/po/fi.po: Added.  Closes: #440228.
  * debian/po/lt.po: Replaced.  Closes: #448962.

 -- Bart Martens <bartm@debian.org>  Sun, 18 Nov 2007 09:09:29 +0100

flashplugin-nonfree (9.0.48.0.2) unstable; urgency=low

  * debian/control: Added "Conflicts: nspluginwrapper [i386]".
  * debian/postinst, debian/prerm: Removed the use of dpkg-architecture.
    Closes: #432998.

 -- Bart Martens <bartm@knars.be>  Fri, 13 Jul 2007 19:55:57 +0200

flashplugin-nonfree (9.0.48.0.1) unstable; urgency=low

  * debian/config, debian/postinst: New plugin release "LNX 9,0,48,0".
    Closes: #432755.
  * debian/control, debian/links*, debian/postinst, debian/prerm,
    debian/rules: Added amd64 support using nspluginwrapper.  Closes: #411533.
    Thanks to Peter Green <plugwash@p10link.net>.
  * debian/po/pt_BR.po: Replaced.  Closes: #418220.  Thanks to Felipe Augusto
    van de Wiel <felipe@cathedrallabs.org>.
  * debian/po/ru.po: Added.  Closes: #425218.  Thanks to Sergey Korobitsin
    <undertaker@gnu.kz>.

 -- Bart Martens <bartm@knars.be>  Wed, 11 Jul 2007 20:47:23 +0200

flashplugin-nonfree (9.0.31.0.4) unstable; urgency=low

  * debian/control: Moved xfs from Recommends to Suggests.  Closes: #414186.
  * debian/po/pt.po: Replaced.  Closes: #413758.  Thanks to Ricardo Silva
    <ardoric@gmail.com>.
  * debian/po/es.po: Added.  Closes: #414218.  Thanks to Manuel Porras Peralta
    <venturi.debian@gmail.com>.

 -- Bart Martens <bartm@knars.be>  Mon, 12 Mar 2007 19:48:30 +0100

flashplugin-nonfree (9.0.31.0.3) unstable; urgency=low

  * debian/config, debian/postinst: Config script should not move files
    around.  Closes: #412048.

 -- Bart Martens <bartm@knars.be>  Tue, 27 Feb 2007 21:55:31 +0100

flashplugin-nonfree (9.0.31.0.2) unstable; urgency=low

  * debian/config, debian/dirs, debian/postinst, debian/prerm: Moved unpackdir
    to /var/cache.  Closes: #411411.
  * debian/control: Enumerated supported browsers in package desription, also
    mentioning konqueror-nsplugins.  Closes: #410470.

 -- Bart Martens <bartm@knars.be>  Sun, 18 Feb 2007 23:07:27 +0100

flashplugin-nonfree (9.0.31.0.1) unstable; urgency=low

  * debian/config, debian/links, debian/postinst, debian/prerm: New plugin
    release 9,0,31,0.  Closes: #407243.
  * debian/control: Updated "Depends:" with "ldd libflashplayer.so".
  * debian/po/lt.po: Replaced.  Closes: #405326.  Thanks to Gintautas
    Miliauskas <gintas@akl.lt>.
  * debian/control: Suggests konqueror-nsplugins.  Closes: #405933.
  * debian/links: Removed symbolic link "/etc/X11/fs /usr/X11R6/lib/X11/fs".
    See version 7.0.63.6 and bug #363378.  Closes: #405567.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@knars.be>  Wed, 17 Jan 2007 19:40:04 +0100

flashplugin-nonfree (9.0.21.78.4) unstable; urgency=low

  * debian/control: Updated "Depends:".  Closes: #402373.
  * debian/dirs, debian/links: Added support for iceweasel.  Closes: #402528.

 -- Bart Martens <bartm@knars.be>  Mon, 11 Dec 2006 08:03:50 +0100

flashplugin-nonfree (9.0.21.78.3) unstable; urgency=low

  * debian/postinst: Add progress indicator.  Closes: #400323.
  * debian/po/cs.po: Updated.  Thanks to Katarina Machalkova
    <bubli@bubli.org>.  Closes: #400370.
  * debian/config: Check MD5 and suggest reuse of previously downloaded file.

 -- Bart Martens <bartm@knars.be>  Sat, 25 Nov 2006 13:30:47 +0100

flashplugin-nonfree (9.0.21.78.2) unstable; urgency=low

  * debian/postinst: Don't fail to install the Debian package when installing
    the Flash plugin fails.  This undoes the fix for bug #387263.
  * debian/config: Reset debconf question "httpget" to the default "yes" to
    enable upgrading.  Closes: #399809.

 -- Bart Martens <bartm@knars.be>  Wed, 22 Nov 2006 07:09:36 +0100

flashplugin-nonfree (9.0.21.78.1) unstable; urgency=low

  * debian/postinst, debian/config: New plugin beta release.  Closes: #399663.
  * debian/po/de.po: Updated.  Closes: #399232.  Thanks to Helge Kreutzmann
    <debian@helgefjell.de>
  * debian/templates, debian/control, debian/config: Changed the debconf
    priority of the question about downloading to "medium", default download
    "yes", and added a warning in package description.  Closes: #398666.
  * debian/control: Conflicts: flashplayer-mozilla.  Closes: #399412.
  * debian/postinst: Removed obsolete chrome updating.
  * debian/dirs, debian/links, debian/control: Added support for iceweasel.
  * debian/control: No longer suggest mozilla-firefox or firefox.

 -- Bart Martens <bartm@knars.be>  Tue, 21 Nov 2006 07:27:12 +0100

flashplugin-nonfree (9.0.21.55.3) unstable; urgency=low

  * Don't delete tarball after install.  Closes: #362509.
  * Moved debian/preinst code to debian/postinst.  Closes: #398726.
  * Moved the creation of the plugin symlinks to debian/links.
  * Moved the creation of the unpackdir to debian/dirs.
  * debian/postinst: Allow the local file to reside in the unpackdir.
  * debian/config: Detect local file in unpackdir and make default local file.
  * debian/po/fr.po, debian/po/sv.po, debian/po/ja.po: Updated.  Thanks
    Christian Perrier <bubulle@debian.org>, Daniel Nylander
    <yeager@lidkoping.net>, Kenshi Muto <kmuto@debian.org>.
    Closes: #398171, #398566.
  * debian/control: No longer suggests mozilla-browser.

 -- Bart Martens <bartm@knars.be>  Wed, 15 Nov 2006 14:24:59 +0100

flashplugin-nonfree (9.0.21.55.2) unstable; urgency=low

  * Moving from experimental to unstable.
    Closes: #394046, #393992, #388895, #387263, #363378, #320849.
  * debian/postinst: Replaced "return -1" by "return 1".
  * debian/preinst: Cleanup of download links that don't work.
  * debian/postinst: Be more verbose about errors.  Closes: #387588.
  * debian/preinst: Add verbose checks.  Closes: #396047.

 -- Bart Martens <bartm@knars.be>  Thu,  9 Nov 2006 20:08:57 +0100

flashplugin-nonfree (9.0.21.55.1) experimental; urgency=low

  * debian/config, debian/preinst, debian/postinst, debian/prerm,
    debian/templates: Flash Player version 9,0,21,55 (beta).  Closes: #394046.
  * debian/postinst: .so file not executable.  Closes: #393992.
  * debian/templates: Replaced note by error.  Closes: #388895.
  * debian/control, debian/templates: Replaced Macromedia by Adobe.
  * debian/README.Debian, debian/docs: Removed.
  * debian/po/*: Lots of fuzzy translations because of changes in
    debian/templates and use of debconf-updatepo.

 -- Bart Martens <bartm@knars.be>  Sat, 28 Oct 2006 09:39:46 +0200

flashplugin-nonfree (7.0.68.0.2) experimental; urgency=low

  * debian/rules, debian/control: Switch to cdbs.
  * debian/control, debian/rules: Removed use of docbook-to-man.
  * debian/control: Moved homepage to Debian wiki.
  * debian/dirs: No longer installing into /usr/sbin.
  * debian/install: Added.
  * update-flashplugin.sh, debian/p*: Integrated all code from
    update-flashplugin.sh into the debian/p* scripts.  Closes: #387263.
  * update-flashplugin.sgml: Removed.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@knars.be>  Wed, 20 Sep 2006 14:04:39 +0200

flashplugin-nonfree (7.0.68.0.1) unstable; urgency=high

  * update-flashplugin.sh: New upstream release.  Closes: #387268.
    CVE-2006-3014, CVE-2006-3311, CVE-2006-3587, CVE-2006-3588, CVE-2006-4640
    APSB06-11 http://www.adobe.com/support/security/bulletins/apsb06-11.html

 -- Bart Martens <bartm@knars.be>  Wed, 13 Sep 2006 12:54:51 +0200

flashplugin-nonfree (7.0.63.8) unstable; urgency=low

  * debian/control: Added libxt6, libxext6 and libxmu6 to the "Depends".
    Closes: #384250.
  * debian/control: Removed libstdc++2.10-glibc2.2 from the "Recommends".
    Closes: #383948.

 -- Bart Martens <bartm@knars.be>  Sat,  2 Sep 2006 18:20:47 +0200

flashplugin-nonfree (7.0.63.7) unstable; urgency=low

  * debian/pt.po: Portuguese translation.  Closes: #381935.  Thanks to Rui
    Branco <ruipb@debianpt.org>.
  * debian/control: Suggests ttf-dejavu.  Closes: #379070.
  * update-flashplugin.sh: Added check that it's run as root.
  * update-flashplugin.sh: Replaced exit -1 by exit 1.

 -- Bart Martens <bartm@knars.be>  Tue,  8 Aug 2006 07:23:52 +0200

flashplugin-nonfree (7.0.63.6) unstable; urgency=low

  * debian/links, debian/rules, debian/lintianoverrides/flashplugin-nonfree:
    Added symlink to make the plugin find the fonts.  See: #363378.
  * debian/control: Suggests fonts packages.  See: #363378.
  * debian/control, debian/compat: Debhelper version.

 -- Bart Martens <bartm@knars.be>  Sat,  8 Jul 2006 21:26:32 +0200

flashplugin-nonfree (7.0.63.5) unstable; urgency=low

  * debian/control: Removed mozilla-browser-snapshot.
  * debian/po/*po: Added more translations.  Closes: #352640, #374317.  Thank
    you for the translations.

 -- Bart Martens <bartm@knars.be>  Sun, 25 Jun 2006 07:44:30 +0200

flashplugin-nonfree (7.0.63.4) unstable; urgency=low

  * debian/control: Depends on wget.  Closes: #370222.
  * debian/config: Changed the debconf priority of the question about
    downloading to "high".  Closes: #362826.
  * update-flashplugin.sh: Removed checking click path.
  * update-flashplugin.sh: Removed installing license.
  * debian/postinst, debian/prerm, update-flashplugin.sh: Display some
    progress output while downloading.  Closes: #357428.
  * debian/templates, debian/po/*: Ask to accept the macromedia license before
    downloading.  Closes: #352640, #369586.  Thank you for the translations.
  * debian/control: Standards version.

 -- Bart Martens <bartm@knars.be>  Sun,  4 Jun 2006 21:46:37 +0200

flashplugin-nonfree (7.0.63.3) unstable; urgency=low

  * update-flashplugin.sh: When downloading the .tar.gz fails, then try the
    aliases of the download host.  Closes: #362203.
  * update-flashplugin.sgml: Updated.  Closes: #360201.
  * update-flashplugin.sh, debian/dirs: No longer installing symlinks (but
    still removing them) for firebird and snapshot.  Closes: #360203.
  * debian/control: Changed my e-mail address.

 -- Bart Martens <bartm@knars.be>  Sun, 16 Apr 2006 11:35:41 +0200

flashplugin-nonfree (7.0.63.2) unstable; urgency=low

  * update-flashplugin.sh: Use /tmp with mktemp.  Closes: #357534.  Patch by
    Arthur de Jong <adejong@debian.org>, thanks.

 -- Bart Martens <bart.martens@advalvas.be>  Wed, 29 Mar 2006 07:20:07 +0200

flashplugin-nonfree (7.0.63.1) unstable; urgency=high

  * Note that bug #357038, which was closed in 7.0.61-4, has external
    references CVE-2006-0024 and APSB06-03.
  * The upstream plugin version is now 7.0.63.  Closes: #357176.  Note that
    7.0.61-4 already installs this plugin version, but the version numbering
    got out of sync.  Fixing that now with this upload of 7.0.63.1.
  * Fixed lintian message native-package-with-dash-version.

 -- Bart Martens <bart.martens@advalvas.be>  Thu, 16 Mar 2006 00:54:59 +0100

flashplugin-nonfree (7.0.61-4) unstable; urgency=low

  * update-flashplugin.sh:
    - Updated MD5 checksums.  Closes: #357038.
    - Override wget options.  Closes: #356185.
    - Use short option syntax of md5sum.  Closes: #356660.
    - Uninstall before install.  Closes: #356360.
  * Updated translations.  Thanks to the translators.
    Closes: #356334, #356349, #356350, #356351, #356357, #356577, #356734.
  
 -- Bart Martens <bart.martens@advalvas.be>  Wed, 15 Mar 2006 14:01:11 +0100

flashplugin-nonfree (7.0.61-3) unstable; urgency=low

  * update-flashplugin.sh: Make less sensitive to upstream website changes.
    Closes: #355720.
  * update-flashplugin.sh: Don't use -q option of wget.  Closes: #355707.
  * debian/postrm, debian/postinst: Support upgrade.  Closes: #355718.
  * debian/postinst: Clean up after failed installation.

 -- Bart Martens <bart.martens@advalvas.be>  Tue,  7 Mar 2006 22:12:09 +0100

flashplugin-nonfree (7.0.61-2) unstable; urgency=low

  * New maintainer.  This was agreed via e-mail on 1 March 2006.
  * Acknowledging NMU's.  Closes: #331822, #342317, #255947, #341238, #340690,
    #340206, #304072, #319374, #325629, #330390, #336113, #239355, #155967.
  * update-flashplugin.sh: Don't overwrite files in the plugin directories.
    Closes: #354735.
  * debian/postinst, debian/templates: Added dialog warning that the plugin
    was not installed.  Closes: #344507.
  * debian/control: Added homepage.
  * update-flashplugin, debian/update-flashplugin.conf.rb, debian/EULA.html,
    debian/postrm, debian/docs: Removed.
  * debian/copyright: Updated.
  * debian/compat, debian/rules: Debhelper compatibility version.

 -- Bart Martens <bart.martens@advalvas.be>  Wed,  1 Mar 2006 18:36:52 +0100

flashplugin-nonfree (7.0.61-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * update-flashplugin.sh, debian/*: Added new installer script, to replace
    the existing ruby script.  Closes: #155967.  This script uses wget, so
    solving the proxy bugs.  Closes: #336113, #239355.  This script is also a
    fix for the broken MD5 checking.  The script also partially covers the
    solution of bug #344507.
  * debian/po/pt_BR, debian/po/it.po, debian/po/sv.po, debian/po/cs.po: Added.
    Closes: #304072, #319374, #325629, #330390.
  * debian/control: Depend on gsfonts-x11.  Closes: #340206.

 -- Bart Martens <bart.martens@advalvas.be>  Wed, 15 Feb 2006 21:08:24 +0100

flashplugin-nonfree (7.0.61-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/update-flashplugin.conf.rb: Site down.  Closes: #340690.  Patch by
    David Schmitt <david@schmitt.edv-bus.at>, thanks.
  * debian/postinst, update-flashplugin: Fix filename for local file, and fix
    MD5 check for local file.  Closes: #341238.
  * update-flashplugin: Fix --proxy.  Closes: #255947.
  * debian/control, debian/dirs, update-flashplugin: Name change of plugin
    directory of firefox.  Closes: #342317.
  * debian/control: cdebconf transition.  Closes: #331822.
  * debian/dirs: Added directories to complete the purge cleanup.
  * debian/templates: Changed default of httpget to false to complete the
    purge cleanup with piuparts.
  * debian/control: Standards version.

 -- Bart Martens <bart.martens@advalvas.be>  Mon, 30 Jan 2006 19:56:31 +0100

flashplugin-nonfree (7.0.61-1) unstable; urgency=low

  * check latest version by mirror's html.
  * get tarball from macromedia.

 -- Takuo KITAME <kitame@debian.org>  Tue, 29 Nov 2005 14:05:47 +0900

flashplugin-nonfree (7.0.25-5) unstable; urgency=low

  * Fix TimeoutError symbol, use checked mirror site for download (closes: #273102, #273579, #273593, #269984)
  * Recommends: gsfonts-x11 (closes: #269478)
  * not depends on libstdc++2.10-glibc2.2 (closes: #243115)
  * added debconf translations: de (closes: #270092)
  * mirror sites configs are moved into config file (/etc/update-flashplugin.conf.rb)

 -- Takuo KITAME <kitame@debian.org>  Tue, 28 Sep 2004 13:28:10 +0900

flashplugin-nonfree (7.0.25-4) unstable; urgency=low

  * debian/template: s/_6_/_7_/g (closes: #255669)

 -- Takuo KITAME <kitame@debian.org>  Wed, 23 Jun 2004 13:30:58 +0900

flashplugin-nonfree (7.0.25-3) unstable; urgency=low

  * debian/po/template.pot: s/6/7/g (closes: #254097)

 -- Takuo KITAME <kitame@debian.org>  Fri, 18 Jun 2004 11:27:44 +0900

flashplugin-nonfree (7.0.25-2) unstable; urgency=low

  * s/6/7/g in debian/config, debian/po/*
  * remove depedency on libstdc++2.10-glibc2.2

 -- Takuo KITAME <kitame@debian.org>  Mon,  7 Jun 2004 16:49:27 +0900

flashplugin-nonfree (7.0.25-1) unstable; urgency=low

  * New upstream release
  * Update for flashplayer 7.x (closes: #251076)
  * update for firefox (instead of firebird) (closes: #245747)
  * add debian/po/tr.po (closes: #246076)
  
 -- Takuo KITAME <kitame@debian.org>  Wed,  2 Jun 2004 17:21:58 +0900

flashplugin-nonfree (6.0.81-2) unstable; urgency=low

  * Fix syntax error (closes: #239664,#239669)

 -- Takuo KITAME <kitame@debian.org>  Wed, 24 Mar 2004 12:26:22 +0900

flashplugin-nonfree (6.0.81-1) unstable; urgency=low

  * New upstream release (closes: #239351)
  * added firefox support (closes: #239254, #234579)

 -- Takuo KITAME <kitame@debian.org>  Tue, 23 Mar 2004 12:00:37 +0900

flashplugin-nonfree (6.0.79-5) unstable; urgency=low

  * Update debconf templates (closes: #211504,#211897,#217965)
  * Depends on libstdc++2.10-glibc2.2 (closes: #211479,#223305)
  * refer $http_proxy when debconf (closes: #219674)  

 -- Takuo KITAME <kitame@debian.org>  Fri, 19 Dec 2003 14:17:19 +0900

flashplugin-nonfree (6.0.79-4) unstable; urgency=low

  * Fix for Ruby1.6 (closes: #211039)
  * Fix sentences in debconf templates (closes: #211026)

 -- Takuo KITAME <kitame@debian.org>  Wed, 17 Sep 2003 15:17:56 +0900

flashplugin-nonfree (6.0.79-3) unstable; urgency=low

  * debconf-gettextized, added ja.po (closes: Bug#210446)
  * Suggests: mozilla-browser | mozilla-browser-snapshot | mozilla-firebird
  * Fix Description: (closes: #209506)
  * Try connecting to other mirrors if one failed.

 -- Takuo KITAME <kitame@debian.org>  Fri, 12 Sep 2003 12:47:43 +0900

flashplugin-nonfree (6.0.79-2) unstable; urgency=low

  * support mozilla-firebird (closes: #199141, #202960)
  * depends on libruby (>= 1.6.7-3) (closes: #184754)
  * fix erorr undefined local variable or method `fp' (closes: #185948, #194088)
  * ask http proxy in debconf (closes: #182547)
  * Fix debconf template (closes: #190320)

 -- Takuo KITAME <kitame@debian.org>  Tue, 26 Aug 2003 14:42:54 +0900

flashplugin-nonfree (6.0.79-1) unstable; urgency=low

  * New upstream release (closes: #183766)
  * check new upstream information from http://macromedia.mplug.org/tarball/debian/gpg-md5sums.txt
  * new option --check-update, -c to checking new upsream.

 -- Takuo KITAME <kitame@debian.org>  Fri,  7 Mar 2003 16:51:58 +0900

flashplugin-nonfree (6.0.69-1) unstable; urgency=low

  * New upstream release (closes: #179235)
  * Applied patch to debconf template (closes: #147174)
  * Changed download source (closes: #172196)
  * fix getcwd error (closes: #174396)
  * changed to native package.

 -- Takuo KITAME <kitame@debian.org>  Fri,  7 Feb 2003 04:43:05 +0900

flashplugin-nonfree (6.0.61.0-3) unstable; urgency=low

  * Change Maintainer address.

 -- Takuo KITAME <kitame@northeye.org>  Sat, 30 Nov 2002 13:11:37 +0900

flashplugin-nonfree (6.0.61.0-2) unstable; urgency=low

  * fix typo in .config and postinst

 -- Takuo KITAME <kitame@debian.org>  Mon, 25 Nov 2002 13:16:46 +0900

flashplugin-nonfree (6.0.61.0-1) unstable; urgency=low

  * New upstream release (closes: #166165, #169563)
  * change package name (closes: #146639)
  * Remove Netscape4 support.

 -- Takuo KITAME <kitame@debian.org>  Mon, 25 Nov 2002 09:25:57 +0900

flashplugin (5.0r50-1) unstable; urgency=low

  * Maintainer upload (closes: #156174)
  * Depends on libruby (>= 1.6.7-4) (closes: #151076)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 26 Aug 2002 15:57:54 +0900

flashplugin (5.0r50-0.1) unstable; urgency=low

  * NMU.
  * New upstream release - closes: #156174

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 16 Aug 2002 11:24:39 +0900

flashplugin (5.0r48-7) unstable; urgency=low

  * update-flashplugin:
    - support proxy auth (closes: #145509)
    - change behavior of --proxy, it *override* $http_proxy, and fix manpage.
  * debian/config:
    - fix endless loop

 -- Takuo KITAME <kitame@northeye.org>  Fri,  3 May 2002 00:34:11 +0900

flashplugin (5.0r48-6) unstable; urgency=low

  * postinst:
    - fix [: -l: binary operator expected

 -- Takuo KITAME <kitame@northeye.org>  Thu,  2 May 2002 13:44:21 +0900

flashplugin (5.0r48-5) unstable; urgency=low

  * debian/postinst:
    - really '|| true'

 -- Takuo KITAME <kitame@northeye.org>  Thu,  2 May 2002 03:50:58 +0900

flashplugin (5.0r48-4) unstable; urgency=low

  * debian/templates: fix typo (closes: #145392)
  * update-flashplugin:
    - fix root check (closes: #145396)
    - exit 1 when error
  * debian/postinst:
    - update-flashplugin || true
  * added Japanese debconf templates
  
 -- Takuo KITAME <kitame@northeye.org>  Thu,  2 May 2002 00:12:16 +0900

flashplugin (5.0r48-3) unstable; urgency=low

  * update-flashplugin:
    - add options --local-file, --delete, --proxy, --no-proxy, --force-update, --quiet (closes: #145304)
  * debian/config,templates,postinst
    - ask "Use localfile" and  "Delete after"
  * debian/update-flash-plugin.sgml
    - update for new options

 -- Takuo KITAME <kitame@northeye.org>  Wed,  1 May 2002 12:18:12 +0900

flashplugin (5.0r48-2) unstable; urgency=low

  * support $http_proxy (closes: #145220)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 30 Apr 2002 23:12:47 +0900

flashplugin (5.0r48-1) unstable; urgency=low

  * Initial upload to Debian (closes: #116890)

 -- Takuo KITAME <kitame@northeye.org>  Sat, 27 Apr 2002 00:57:28 +0900

flashplugin (5.0r48-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.
  * -cvs -> -snapshot

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 14 Apr 2002 19:13:38 +0900

flashplugin (5.0r47-0.4) unstable; urgency=low

  * update-flashplugin: for mozilla-snapshot instead of mozilla-cvs

 -- Takuo KITAME <kitame@northeye.org>  Wed, 13 Mar 2002 20:27:44 +0900

flashplugin (5.0r47-0.3) unstable; urgency=low

  * update-flashplugin: don't use system 'rm -rf'
    (clean_tmp): added

 -- Takuo KITAME <kitame@northeye.org>  Mon, 10 Dec 2001 18:39:06 +0900

flashplugin (5.0r47-0.2) unstable; urgency=low

  * update-flashplugin (link): fix for dosen't exist dir.

 -- Takuo KITAME <kitame@northeye.org>  Wed,  5 Dec 2001 07:36:59 +0900

flashplugin (5.0r47-0.1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@northeye.org>  Mon,  3 Dec 2001 15:42:06 +0900


